package com.zy.omp.config.interceptor;

import com.zy.omp.common.redis.SessionManager;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 登录权限验证拦截器
 *
 * @author chenyi
 * Create on 2019/10/10
 */
@Component
public class AuthInterceptor extends HandlerInterceptorAdapter {

    @Resource
    private SessionManager sessionManager;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        if (!sessionManager.valid(request.getHeader("token"))) {
            request.getRequestDispatcher("/common/author.do").forward(request, response);
            return false;
        }
        return true;
    }
}
