package com.zy.omp.config.interceptor;

import org.springframework.stereotype.Component;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 身份验证拦截器
 * 防止第三方请求服务器
 *
 * @author chenyi
 * Create on 2019/10/10
 */
@Component
public class VerifyInterceptor extends HandlerInterceptorAdapter {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        if (request.getMethod().equals("OPTIONS")) {
            response.setStatus(HttpServletResponse.SC_OK);
            return true;
        }
        if (request.getHeader("verify") != null && request.getHeader("verify").equals("omp")) return true;
        request.getRequestDispatcher("/common/author.do").forward(request, response);
        return false;
    }
}
