package com.zy.omp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.omp.model.Relation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 用户设备绑定关系表
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface RelationMapper extends BaseMapper<Relation> {

    /**
     * 查询设备是否有绑定用户
     *
     * @param openNum 设备号
     */
    int checkBind(@Param("openNum") String openNum);

    /**
     * 查询设备是否属于某用户
     *
     * @param openId  用户ID
     * @param openNum 设备ID
     */
    int checkBelong(@Param("openNum") String openNum, @Param("openId") String openId);
}
