package com.zy.omp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 设备状态信息表
 *
 * @author chen_yi
 * Create on 2020/8/1
 */
@Data
public class DeviceInfoState {

    /**
     * 设备ID
     */
    @TableId
    private String openNum;

    /**
     * 0:无法定位，1：北斗定位，2：基站定位，3：GPS定位
     */
    private Integer mode;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 电量
     */
    private Integer batteryNum;

    /**
     * 信号强度
     */
    private Integer signalNum;

    /**
     * 经度
     */
    private String lon;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 经度(gcj)
     */
    private String lonGcj;

    /**
     * 纬度(gcj)
     */
    private String latGcj;

    /**
     * 格式化的地理位置
     */
    private String site;

    /**
     * 速度
     */
    private String speed;

    /**
     * 卫星颗数
     */
    private Integer num;

    /**
     * 数据上传时间
     */
    private LocalDateTime uploadTime;
}
